Subject: Overplanting Daffodils

From: [email-masked] (Kathleen Meistrell)
Date: 8 Mar 1995 01:30:38 GMT

In confined spaces I overplant daffodils with mint.  Mint is a perennial...
No replanting required.  It shades the bulbs and provides a fresh supply of 
mint throughout the summer.  It is invasive and must be confined to a
limited space.  Other perennials to combine with daffodils include hosts
and daylilies if the area is shaded.  (hosts in the above line should be
hostas.  I'm new and having troubles editing previous lines.  Any 
help would be appreciated!)
Kathleen Meistrell   [email-masked]

C